Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8047925

Add Mercurial Version check to get_source.sh

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: P4
    • Resolution: Fixed
    • Affects Version/s: 9
    • Fix Version/s: 9
    • Component/s: infrastructure
    • Labels:
    • Subcomponent:
    • Resolved In Build:
      b22
    • CPU:
      generic
    • OS:
      generic

      Backports

        Description

        There are reports that very old mercurial clients either don't work at all or are very unreliable.

        This patch will prohibit use of clients older than 1.5.0 and issue a warning for clients older than 2.6.3

        This patch will be backported to 7 and 8 repos.

          Attachments

            Issue Links

              Activity

                People

                Assignee:
                mduigou Mike Duigou
                Reporter:
                mduigou Mike Duigou
                Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                  Dates

                  Created:
                  Updated:
                  Resolved: